Gtk_Container(3)

NAME - Gtk_Container

HEADER REQUIRED
#include <gtk--/container.h&gt;>

BASE CLASSES
Gtk_Widget(3)

DERIVED BY
Gtk_Bin(3) Gtk_Box(3) Gtk_CList(3) Gtk_Fixed(3) Gtk_Layout(3) Gtk_List(3) Gtk_MenuShell(3) Gtk_Notebook(3) Gtk_Packer(3) Gtk_Paned(3) Gtk_Socket(3) Gtk_Table(3) Gtk_Toolbar(3) Gtk_Tree(3)

PROPERTIES

focus_child
    Type: Gtk_Widget*

border_width
    Type: guint:16

need_resize
    Type: guint:1

resize_mode
    Type: guint:2

resize_widgets
    Type: GSList*

     The list of children that requested a resize

PUBLIC MEMBER INDEX
    Gtk_Container(GtkContainer *castitem);
    virtual  ~Gtk_Container();
    virtual void  add_label(const string &label);
    void  set_border_width(gint width);
      Deprecated methods
    void  register_toplevel();
    void  unregister_toplevel();
    void  resize_children();
    void  set_resize_mode(GtkResizeMode resize_mode);
    static void  add_child_arg_type(const string &arg_name, GtkType arg_type, guint arg_flags, guint arg_id);
    static void  query_child_args(GtkType	class_type, guint32 **arg_flags, guint *nargs);
    void  child_getv(Gtk_Widget &child, guint n_args, GtkArg *args);
    void  child_setv(Gtk_Widget &child, guint n_args, GtkArg *args);
    void  addv(Gtk_Widget &child, guint n_args, GtkArg *args);
    void  foreach_full(GtkCallback callback, GtkCallbackMarshal marshal, gpointer callback_data, GtkDestroyNotify notify);
    void  set_focus_vadjustment(const Gtk_Adjustment &adjustment);
    void  set_focus_hadjustment(const Gtk_Adjustment &adjustment);
    iterator  begin();
      begin() and end() is for traversingthe list. STL algorithms shouldwork with the iterator it returns.
    iterator  end();
    Gtk_ObjectHandle< G_List >  children();
    signal void  add_c(GtkWidget*);
      Note that this returns a list of GtkWidget* of course, not GtkWidget.
    gtkmm_add_signal_class  add;
    void  add_callback(Gtk_Widget &p1);
    void  release(Gtk_Widget &widget);
    signal void  remove_c(GtkWidget*);
    signal void  remove(Gtk_Widget*);
    void  remove_callback(Gtk_Widget *p1);
    signal gint  focus(GtkDirectionType);
    signal void  check_resize(BaseObjectType);
    signal GtkType  child_type(BaseObjectType);
    signal void  set_focus_child_c(GtkWidget*);
    signal void  set_focus_child(Gtk_Widget*);
    void  set_focus_child_callback(Gtk_Widget *p1);
    signal void  set_child_arg_c(GtkWidget*, GtkArg*, guint);
    signal void  set_child_arg(Gtk_Widget*, GtkArg*, guint);
    void  set_child_arg_callback(Gtk_Widget *p1, GtkArg *arg, guint arg_id);
    signal void  get_child_arg_c(GtkWidget*, GtkArg*, guint);
    signal void  get_child_arg(Gtk_Widget*, GtkArg*, guint);
    void  get_child_arg_callback(Gtk_Widget *p1, GtkArg *arg, guint arg_id);
    GtkContainer*  gtkobj();
    const GtkContainer*  gtkobj() const;
    static bool  isGtkContainer(Gtk_Object *checkcast);

PROTECTED MEMBER INDEX
    list  del_list;
    friend  CppClassType;
    typedef GtkContainer  BaseObjectType;
    typedef GtkContainerClass  BaseClassType;
    virtual void * get_parent_class();
    virtual void  add_c_impl(GtkWidget* p1);
    virtual void  remove_c_impl(GtkWidget* p1);
    virtual gint  focus_impl(GtkDirectionType p1);
    virtual void  check_resize_impl();
    virtual GtkType  child_type_impl();
    virtual void  set_focus_child_c_impl(GtkWidget* p1);
    virtual void  set_child_arg_c_impl(GtkWidget* p1, GtkArg* p2, guint p3);
    virtual void  get_child_arg_c_impl(GtkWidget* p1, GtkArg* p2, guint p3);
    Gtk_Container();
    Gtk_Label * child_label_;

PRIVATE MEMBER INDEX
    typedef G_List_Cpp_Iterator  iterator;
    static CppClassType  container_class;
    GtkType  get_type();

PUBLIC MEMBER DESCRIPTIONS

PROTECTED MEMBER DESCRIPTIONS

PRIVATE MEMBER DESCRIPTIONS